h1 {
    font-size: xx-large;
    margin-bottom: 30px;
    position: relative;
    padding: 10px;
}

#addPerson {
    margin-left: 1cm;
}

#addPerson:hover {
    color: red;
    cursor: pointer
}

#resetScore {
    background-color: #008CBA;
    border-radius: 0;
    border: none;
    color: white;
    padding: 1.2vw;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 1.5vw;
}

#inputScore {
    background-image: url('imgs/searchicon.png'); /* Add a search icon to input */
    background-position: 10px 12px; /* Position the search icon */
    background-repeat: no-repeat; /* Do not repeat the icon image */
    width: 100%; /* Full-width */
    font-size: 1.5vw; /* Increase font-size */
    padding: 1.2vw 1.2vw 1.2vw 50px; /* Add some padding */
    border: 1px solid #ddd; /* Add a grey border */
    margin-bottom: 12px; /* Add some space below the input */
}

.card {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    transition: 0.3s;
    position: relative;
    padding-bottom: 5px;
}

.delCard {
    color: white;
    text-decoration: none;
    position: absolute;
    top: 10px;
    left: 10px;
    font-size: xx-large;
}

.delCard:hover {
    color: red;
    cursor: pointer
}

.card > div:last-child {
    padding-left: 10px;
    position: relative;
}

.card img {
    width: 100%;
    background-color: lightgray;
}

.card .colored {
    border-radius: 50%;
    width: 15px;
    height: 15px;
    position: absolute;
    right: 10px;
    top: 0px;
    background-color: #B74F6F;
}

.card span {
    position: absolute;
    right: 10px;
    top: 17px;
}

.card .gold::after {
    content: "gold";
    color: gold;
}

.card .silver::after {
    content: "silver";
    color: silver;
}

.card .bronze::after {
    content: "bronze";
    color: #cd7f32;
}

.card:hover {
    box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
}

main {
    padding: 2px 16px;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 30px;
    margin: 10px auto;
}

#personModal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0, 0, 0); /* Fallback color */
    background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
}

#personModal > div:first-child {
    background-color: #fefefe;
    margin: 15% auto; /* 15% from the top and centered */
    padding: 20px;
    border: 1px solid #888;
    width: 80%; /* Could be more or less, depending on screen size */
}

#personForm {
    margin: 0 auto;
    display: block;
    border: 3px solid #f1f1f1;
    padding: 16px;
}

#personForm input {
    width: 80%;
    padding: 12px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    box-sizing: border-box;
}

#buttons {
    text-align: center;
}

#personForm button {
    background-color: #4CAF50;
    color: white;
    padding: 14px 20px;
    margin: 8px;
    border: none;
    cursor: pointer;
    width: 40%;
}

/* Add a hover effect for buttons */
#personForm button:hover {
    opacity: 0.8;
}

@media screen  and (max-width: 700px) {
    .grid {
        grid-template-columns: repeat(3, 1fr);
    }
}

.btn{
    margin: 2px;
}